package chapter7;

import java.io.File;

public class Example07 {
    public static void main(String[] args) {
        File dir = new File("d:/hello");
        deleteFiles(dir);
    }

    /**
     * 删除指定目录下的所有文件（包括子目录）
     * @param dir 目录
     */
    public static void deleteFiles(File dir) {
        if (dir.exists()) {
            File[] files = dir.listFiles();
            // 删除当前目录下的所有文件
            for (File file : files) {
                // 如果是目录就递归调用
                if (file.isDirectory()) {
                    deleteFiles(file);
                } else {
                    // 如果是文件就删除
                    file.delete();
                }
            }
            // 删除当前目录
            dir.delete();
        }
    }
}
